Subject: [alpine-aports] [PATCH] new aport: lensfun

From: ScrumpyJack <[email-masked]>
Date: Fri, 22 May 2015 12:55:20 +0000 (UTC)

Image manipulation library to rectify lens defects.
---
 testing/lensfun/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/lensfun/APKBUILD

diff --git a/testing/lensfun/APKBUILD b/testing/lensfun/APKBUILD
new file mode 100644
index 0000000..7a98366
--- /dev/null
+++ b/testing/lensfun/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: ScrumpyJack <[email-masked]>
+# Maintainer:
+pkgname=lensfun
+pkgver=0.3.1
+pkgrel=0
+pkgdesc="Image manipulation library to rectify lens defects."
+url="http://lensfun.sourceforge.net/"
+arch="all"
+license="LGPL3"
+depends=""
+depends_dev=""
+makedepends="py-docutils cmake doxygen libpng"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/project/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        cmake \
+           -DCMAKE_BUILD_TYPE=Release \
+           -DBUILD_DOC=On \
+           -DLENSFUN_INSTALL_PREFIX=/usr || return 1
+        make all || return 1
+}
+
+package() {
+	cd "$_builddir"
+      make DESTDIR="$pkgdir" install
+     }
+
+md5sums="7f577385f98b260ea5384b99c6eb03aa  lensfun-0.3.1.tar.gz"
+sha256sums="216c23754212e051c8b834437e46af3812533bd770c09714e8c06c9d91cdb535  lensfun-0.3.1.tar.gz"
+sha512sums="cd0f142bb7d6aa154f587d89502da35473a7a02660246bd025ccd5d1982f55425359405898e11ce9094351ad44a2d6786b9ff07d227f75699e99e4de8f40938c  lensfun-0.3.1.tar.gz"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---